

import SecureBlackbox.Base.SBUtils;

public class Main {
    
    public static void main(String[] args) {
		#error Please pick the evaluation license key from <SecureBlackbox>\LicenseKey.txt file and place it here. If the evaluation key expires, you can request an extension using the form on https://www.eldos.com/sbb/keyreq/
    	SBUtils.setLicenseKey("<put the key here>");

        Wizard wizard = new Wizard();
        wizard.getDialog().setTitle("PGP Files Demo Application");
        wizard.setDialogSize(480, 400, true);

        WizardPanelDescriptor descriptorSelect = new PanelOperationSelectDescriptor();
        wizard.registerWizardPanel(PanelOperationSelectDescriptor.IDENTIFIER, descriptorSelect);

        WizardPanelDescriptor descSelectFiles = new PanelSelectFilesDescriptor();
        wizard.registerWizardPanel(PanelSelectFilesDescriptor.IDENTIFIER, descSelectFiles);
        
        WizardPanelDescriptor descriptorSelectSource = new PanelSelectSourceDescriptor();
        wizard.registerWizardPanel(PanelSelectSourceDescriptor.IDENTIFIER, descriptorSelectSource);

        WizardPanelDescriptor descriptorProtect = new PanelProtectionDescriptor();
        wizard.registerWizardPanel(PanelProtectionDescriptor.IDENTIFIER, descriptorProtect);

        WizardPanelDescriptor descriptorRecipients = new PanelSelectRecipientsDescriptor();
        wizard.registerWizardPanel(PanelSelectRecipientsDescriptor.IDENTIFIER, descriptorRecipients);

        WizardPanelDescriptor descriptorSigners = new PanelSelectSignersDescriptor();
        wizard.registerWizardPanel(PanelSelectSignersDescriptor.IDENTIFIER, descriptorSigners);

        WizardPanelDescriptor descriptorSelectDest = new PanelSelectDestDescriptor();
        wizard.registerWizardPanel(PanelSelectDestDescriptor.IDENTIFIER, descriptorSelectDest);

        WizardPanelDescriptor descriptorProcessProtection = new PanelProcessProtectionDescriptor();
        wizard.registerWizardPanel(PanelProcessProtectionDescriptor.IDENTIFIER, descriptorProcessProtection);

        WizardPanelDescriptor descriptorProcessDecryption = new PanelProcessUndoProtectionDescriptor();
        wizard.registerWizardPanel(PanelProcessUndoProtectionDescriptor.IDENTIFIER, descriptorProcessDecryption);
        
        wizard.setCurrentPanel(PanelOperationSelectDescriptor.IDENTIFIER);
        
        int ret = wizard.showModalDialog();
        
        System.out.println("Dialog return code is (0=Finish, 1=Cancel, 2=Error): " + ret);

        System.exit(0);
    }
    
}
