import java.util.Hashtable;

import javax.swing.JPanel;

import SecureBlackbox.MIME.TElMessagePart;

public class MimeViewer_PlugControl extends JPanel {

	private static final long serialVersionUID = 1L;
	
    protected TagInfo fTagInfo = TagInfo.tiNull;
    protected TElMessagePart fElMessagePart = null;
    protected TreeNodeInfo fNode = null;
    protected Object fTagObj = null;


    static Hashtable<MimeViewer_PlugControl, MimeViewer_PlugControl> hashPlugControls = new Hashtable<MimeViewer_PlugControl, MimeViewer_PlugControl>();

    void RegistedPartHandler()
    {
      Object obj = hashPlugControls.get(this);
      if ( obj == null )
        hashPlugControls.put(this, this);
    }

    void UnRegistedPartHandler()
    {
      hashPlugControls.remove(this);
    }

    protected String fCaption = "";
    public String GetCaption()
    {
      return fCaption;
    }

    public void UpdateView() {}

    public void BeforeRemoveParent() {}

    public boolean IsSupportedMessagePart(TElMessagePart messagePart, TagInfo tagInfo, TreeNodeInfo treeNodeItem)
    {
      return false;
    }

    protected void Init(TElMessagePart messagePart, TagInfo tagInfo, TreeNodeInfo treeNodeItem, boolean bShow)
    {
      fTagInfo = tagInfo;
      fElMessagePart = messagePart;
      fNode = treeNodeItem;
    }
    public void InitSafe(TElMessagePart messagePart, TagInfo tagInfo, TreeNodeInfo treeNodeItem, boolean bShow)
    {
      if ( (fNode != treeNodeItem) || (fTagInfo == TagInfo.tiOptions) ) {
        try {
          Init(messagePart, tagInfo, treeNodeItem, bShow);
        }
        catch (Exception e)
        {
        }
      }
    }

    public static String getVersion()
    {
        return "2010.05.01";
    }
    
    public Object getTagObj()
    {
        return fTagObj;
    }

}
